
:root{
  --bg-main: rgb(248,250,252);
  --bg-sidebar: rgb(241,245,249);
  --bg-card: rgb(255,255,255);
  --accent:  rgb(57,255,20);;
  --text-main: rgb(15,23,42);
  --text-secondary: rgb(71,85,105);
  --radial-color:rgb(243, 241, 241);
  --icon-color:gold;
  --lamp-color:rgba(196, 196, 196, 0.3);
}

html{
  scroll-behavior: smooth;
}

*{
    padding:0%;
    margin: 0%;
    box-sizing: border-box;
}
.body-1{
    min-height:100vh;
    width: 100%;
    overflow-x: hidden;
}
.body-1.dark-mod2{
--bg-main: hsl(from blue h s calc(l - 47));
  --bg-sidebar: rgb(20, 28, 45);
  --bg-card: rgb(30, 41, 59);
  --accent: rgb(0, 255, 128);
  --text-main: rgb(226, 232, 240);
  --text-secondary: rgb(148, 163, 184);
  --radial-color:hsl(240, 100%, 20%);
}

nav{
    display: flex;
    justify-content: space-between;
    align-items: center; 
    font-family: sans-serif;
    padding: 15px 20px;    
    background-color:hsl(from var(--bg-main) h s calc(l + 5));
    box-shadow: 0px 1px 3px hsl(from var(--text-main) h s l);
    flex-wrap: wrap;    
    border-bottom: 1px solid var(--text-main); 
    z-index: 100000; 
}
.logo{
    font-family: "Cinzel Decorative", serif;
    font-size: 20px;
    font-weight: 500;
    color: var(--text-main);
}

.btn1{
  padding: 10px;
  font-size: 20px;
  transform: rotate(90deg);
  border: none;
  background: transparent;
  cursor: pointer;
  display: none;
  color: var(--text-main);
}
.new-links{
  display: flex;
  justify-content: space-evenly;
  height: 0px;
  opacity: 0;
  background: hsl(from var(--text-main) h s calc(l - 20) / 0.4);
  flex-direction: column;
  padding: 10px;
  position: absolute;
  width: 100%;
  backdrop-filter: blur(5px);
  box-shadow: inset 0px -10px 10px rgba(0,0,0,0.2) ,inset 0px 10px 10px rgba(0,0,0,0.2);
  transition-duration: 0.5s;
  z-index: 1000;
}
.link{
  text-decoration: none;
  color: white;
  font-weight: bold;
  font-family: sans-serif;
  letter-spacing: 1px;
  transition-duration: 0.3s;
}
.link:hover{
  color: rgb(211, 211, 211);
}
.new-links.slide{
  height: 150px;
  opacity: 1;
}
.main-ul{
  display: flex;
  list-style: none;
  gap:30px;
}
.links li{
    font-weight: bold;
}
.links a{
    text-decoration: none;
    color:var(--text-main);
}
.links a:hover{
    color: var(--text-secondary);
}
.hero-section{
    width: 100%;
    text-align: center;
    padding: 120px 20px 60px 20px;
    font-family: sans-serif;
    font-size: 30px;
    height: 600px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    background: var(--bg-card);
    z-index: -1;
}
.hero-section span{
    background: linear-gradient(90deg, red, orange, orangered);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    position: relative;
    z-index: 100;
}
.Dark-them-h{
  background: radial-gradient(circle at 50% 0%,var(--radial-color),var(--bg-main));
    width: 100%;
    text-align: center;
    padding: 120px 20px 60px 20px;
    font-family: sans-serif;
    font-size: 30px;
    height: 600px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    z-index: -1;
}
.Dark-them-h span{
   background: linear-gradient(90deg, red, orange, orangered);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    position: relative;
    z-index: 100;
}
.h11{
  margin-bottom: 0px;
  color: var(--text-main);
}
.inner-hero-sect{
    max-width: 700px;
    width: 90%;
    margin: 15px auto 0 auto;
    font-size: 18px;
    color: hsl(from var(--text-secondary) h s l);
    letter-spacing: 1px;

}
.p-inter{
   font-family: 'Inter', sans-serif;
}
.hero-search{
    margin-top: 40px;
}
.input {
  width:60vw;
  height: 55px;
  padding: 12px;
  border-radius: 12px;
  border: 1.5px solid hsl(from var(--text-secondary) h s calc(l - 0));
  outline: none;
  transition: all 0.3s cubic-bezier(0.19, 1, 0.22, 1);
  box-shadow: 0px 0px 20px -18px;
  background: hsl(from var(--bg-main) h s calc(l + 10));
  color: hsl(from var(--accent) h s calc(l - 10));
}

.input:hover {
  border: 2px solid lightgrey;
  box-shadow: 0px 0px 20px -17px;
}

.input:active {
  transform: scale(0.98);
}

.input:focus {
  border: 2px solid gray;
}
.input::placeholder{
  color: var(--text-main);
}
.services{
  min-height: 500px;
  width: 100%;
  background:hsl(from var(--bg-main) h s calc(l + 0));
  display: flex;
  align-items: center;
  flex-direction: column;
  padding-bottom: 60px;

}
.services h1{
  text-align: center;
  padding-top: 30px;
  font-family: 'Poppins', sans-serif;
  font-size: 35px;
  color:hsl(from var(--text-main) h s calc(l - 10));
}
.doc1{
  margin-top: 40px;
  width: 90%;
  display: flex;
  justify-content: center;
  gap: 30px;
  flex-wrap: wrap; 
}
.box{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  min-height: 280px;
  min-width: 250px;
  border-radius: 5px;

  padding: 0px;
  background: hsl(from var(--bg-main) h s calc(l + 3));
  transition-duration: 0.5s;
}
.heading-box{
  font-family: 'Poppins', sans-serif;
  letter-spacing: 1px;
  color: hsl(from var(--text-secondary) h s calc(l - 0));
  margin-bottom: 20px;
  margin-top: 20px;
}
#icon{
  font-size: 80px;
  color: var(--icon-color);
}
.box:hover{
  transform: translateY(-10px);
  box-shadow: 0px 5px 5px hsl(from var(--text-main) h s calc(l - 50) / 0.5);
  
}
.box:active{
  scale: 0.95;
  transform: translateY(10px);
  box-shadow: 0px 0px 0px gray;
  transition-duration: 0.2s;
}
.btn2{
  border: none;
  background: transparent;
}
#icon2{
  border: none;
  background: transparent;
  font-size: 18px;
  color: var(--icon-color);
  cursor:pointer;

}

.links-box{
  text-decoration: none;
}
/* page 2 */

.body2.dark-mod1{
  --bg-main: hsl(from blue h s calc(l - 47));
  --bg-sidebar: rgb(20, 28, 45);
  --bg-card: rgb(30, 41, 59);
  --accent: rgb(0, 255, 128);
  --text-main: rgb(226, 232, 240);
  --text-secondary: rgb(148, 163, 184);
  --radial-color:hsl(240, 100%, 20%);
  --lamp-color:rgb(30, 41, 59);
}

#Dark-mod-btn{
    border: none;
    background: transparent;
    color: gold;
    font-size: 18px;
    margin-top: 10px;
    margin-bottom:10px;
    margin-left: 30px;
}
.body2{
  display: flex;
  flex-direction: column;
  background: radial-gradient(circle at 50% 0%,hsl(from var(--radial-color) h s l),var(--bg-main));
  color: var(--text-main);
  background-repeat: no-repeat;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  height: 100%;
  overflow-x: hidden;
  position: relative;
}

.side-bar{
    height:100%;
    width: 270px;
    padding: 30px;
    background:hsl(from var(--bg-main) h s calc(l + 0));
    border-right:2px solid hsl(from var(--bg-main) h s calc(l + 15));
    position:fixed;
}
.side-bar li{
    margin-top: 20px;
    font-family: "Inter", sans-serif;
    color: var(--text-secondary);
    transition-duration: 0.5s;
    list-style:none;
    font-size: 14px;
}
.side-bar ul{
    text-decoration: none;
} 
.side-bar li:hover{
    color: hsl(from var(--accent) h s calc(l - 10));
    transition-duration: 0s;
    transition-delay: 0s;
    cursor: pointer;
}
.side-bar a{
    text-decoration: none;
}

.side-bar h2{
    color:var(--accent);
    font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 20px;
}
.title{
    padding: 40px;
}
.title h1{
    font-family: sans-serif;
    font-size: 50px;
}
.main{
  margin-left:260px;
  padding:40px;
  width:100%;
  
}
.header{
  margin-bottom:40px;
  width: 85%;
}
.header h1{
  font-size:32px;
  margin-bottom:10px;
  display: inline-block;
  
}

.header p{
  color: var(--text-secondary);

}
.module{
    background: hsl(from var(--bg-main) h s calc(l + 4));
    height: auto;
    width: 80%;
    padding: 30px;
    border-radius: 30px;
    border:1px solid rgba(255,255,255,0.05);
    transition: 0.1s;
    cursor: pointerc;
    margin-bottom: 30px;

}
.module-link{
  text-decoration: none;
  color: var(--text-main);
}

.badge{
    color: var(--accent);
    background: hsl(from var(--accent) h s l / 0.1);
    display: inline-block;
    border-radius: 10px;
    margin-bottom: 20px;
    padding: 5px 10px;
}
.module h2{
  margin-bottom:15px;
  font-size:20px;
}
.module ul{
   padding-left:20px;
}

.module li{
    margin-bottom: 15px;
    color: var(--text-secondary); 
    font-family: "inter",sans-serif;
    cursor: pointer;
}
.module li::marker{
    color: var(--accent);
}
.module:hover{
    border:1px solid var(--accent);
    transition: 0.5s;
}
.module:active{
    scale: 0.90;
    transition: 0.1s;
}
::selection{
    background: black;
    color: lime;
}

.content{
  height: 100%;
  margin-left: 260px;
  padding: 40px;
  line-height: 25px;
  
}
.content h1{
      margin-top: 30px;
      margin-bottom: 13px;
      line-height: 35px;
    }
.content p{
   font-family: "Inter", sans-serif;
   color: var(--text-secondary);
   
}
.content li::marker{
    color: var(--accent)
}
.content h3{
  margin-top: 15px;
  margin-bottom: 13px;
  line-height: 28px;
}
.content h2{
  margin-top: 15px;
  margin-bottom: 13px;
  line-height: 31px;
}
.content ul{
  margin-top: 8px;
  margin-left: 15px;
  margin-bottom: 8px;
}
.iceberg{
  border-radius: 20px;
  margin-bottom: 10px;

}
.img-container{
   text-align: center;
}
.img-container img{
  height: 50%;
  
}

.btn2-clone{
  position: fixed;
  top:35px;
  right: 20px;
  background: var(--lamp-color);
  padding: 10px;
  border-radius: 20px;
  backdrop-filter: blur(100px);}
footer{
  text-align: center;
  background:  black;
  padding: 20px;
}
footer p{
  color: var(--text-secondary);
  font-family: sans-serif;
  margin-left: auto;
  margin-right: auto;
  letter-spacing: 1px;
  

}


@media (max-width: 768px){
    
    nav{
      gap: 15px;
  }
    .main-ul{
      flex-direction: column;
      gap: 10px;
      align-items: center;
      display: none;
  }
    .btn1{
      display: inline-block;
  }

    .hero-section{
      font-size: 19px;
      padding-top:100px;
  }
    .Dark-them-h{
      font-size: 19px;
      padding-top:100px;
  }
    .inner-hero-sect{
      font-size: 13px;
  }
    .services h1{
      font-size: 25px;
  }
    .input{
      width: 80vw;
  }
  
    .side-bar{
        display: none;
    }
    .main{
     margin: 0;   
    }
    .main h1{
       font-size: 25px;
    }
    .main p{
        font-size: 14px;
    }
    .module{
        width: 100%;
    }
    .content{
      margin: 0;
      padding: 30px;
    }
    .content h1{
      font-size: 25px;
    }
    .iceberg{
      width: 100%;
  
    }
    .img-container img{
      width: 100%;
      height: 100%;
    }
    footer p{
      font-size: 15px;
    }
}